NNG_HTTP_CLIENT_SET_TLS(3http)

NAME
nng_http_client_set_tls - set HTTP client TLS configuration

SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/http/http.h>
    int nng_http_client_set_tls(nng_http_client *client, nng_tls_config *cfg);

DESCRIPTION

The nng_http_client_set_tls() sets the TLS configuration of client to cfg.

This change overwrites any previous TLS configuration.

    Important

    This also invalidates any previously obtained values from nng_http_client_get_tls().

    Note

    Any connections established with nng_http_client_connect() will continue to use any TLS configuration that they were started with.

RETURN VALUES

This function returns 0 on success, and non-zero otherwise.

ERRORS

NNG_ENOMEM
    Insufficient free memory exists.

NNG_ENOTSUP
    Either HTTP or TLS not supported.

SEE ALSO

nng_http_client_alloc(3http), nng_http_client_connect(3http), nng_http_client_get_tls(3http), nng_tls_config_alloc(3tls), nng_strerror(3), nng(7)